Subject: [bug#56504] [PATCH] Mingw support for zlib

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 14 Jul 2022 08:01:41 +0200

Am Mittwoch, dem 13.07.2022 um 17:19 +0200 schrieb Vivien Kraus:
> [...]
> Looking at the "-builder" scheme file that is generated for the
> derivation, it looks like what I want is simply %outputs, not %build-
> outputs.
Yeah, my bad, it's %build-inputs and %outputs respectively.

> 
> > Oh, so you mean the static output should be built without
> > SHARED_MODE?
> No, SHARED_MODE=1 means "please also install the DLL" and
> SHARED_MODE=0 means "please do not install the DLL". Reading the
> win32/Makefile.gcc, nothing special is done if SHARED_MODE=0. 
In that case we could set it via #:make-flags, right?

> It is only used in the install and uninstall targets. I don’t really
> understand why you would want to set SHARED_MODE=0 (even weirder to
> set it as a default) but I guess it happens.
Perhaps the rationale is that users might not actually want the shared
libraries for some bespoke reasons (not that those reasons would apply
to Guix users).

Cheers